import {Container, Nav, Navbar, NavDropdown} from 'react-bootstrap';

import {Link, NavLink} from "react-router-dom";

import {useContext} from 'react';

import UserContext from '../UserContext.js';

import styles from './AppNavbar.module.css';

export default function AppNavbar(){
	

	const {user} = useContext(UserContext);
	
	return(
		<div className={`${styles.NavBarDiv}`}>
			<Navbar expand="lg" className={`${styles.navbar} fixed-top`}>
			      <Container >

			      	

			        <Navbar.Brand as = {Link} to = "/" className = {`${styles.brand}`} href="">ARCADE ALLEY</Navbar.Brand>
			        <Navbar.Toggle aria-controls="basic-navbar-nav" />
			        <Navbar.Collapse id="basic-navbar-nav">
			          <div className = {`${styles.borderYtoX} ${styles.container}`}>
			          <Nav className="ms-auto">

			          
			            <Nav.Link as = {NavLink} to = "/" className = {`${styles.navLink}`}>Home</Nav.Link>

			            {
			            (user.isAdmin) ?
			            <Nav.Link as = {NavLink} to = "/products" className = {`${styles.navLink}`}>Dashboard</Nav.Link>
			            :
			            <Nav.Link as = {NavLink} to = "/products" className = {`${styles.navLink}`}>Products</Nav.Link>
			            }

			            {

			            	(user.id !== null) ?
			            	<>
			            	  <Nav.Link as={NavLink} to="/orders" className={`${styles.navLink}`}>Order History</Nav.Link>
			            	  <Nav.Link as={NavLink} to='/profile' className={`${styles.navLink}`}>Profile</Nav.Link>
			            	  <Nav.Link as={NavLink} to="/logout" className={`${styles.navLink}`}>Logout</Nav.Link>
			            	  { (!user.isAdmin) && (
			            	  <>
			            	  <div className={styles.cartContainer}> {/* Wrap cart icon in a container */}
			            	    <Nav.Link as={NavLink} to='/my-cart'>
			            	      <img src='https://preview.redd.it/7ye1h77fkzv61.png?width=256&format=png&auto=webp&s=2449ece6580a613e9c3884ecf58eaa2cf5f66daa' className={`${styles.cart}`} alt="Cart"></img>
			            	    </Nav.Link>
			            	  </div>
			            	  </>

			            	  )}
			            	</>


			            	:

			            	<>

			            	<Nav.Link as = {NavLink} to = "/register" className = {`${styles.navLink}`}>Register</Nav.Link>
			            	<Nav.Link as = {NavLink} to = "/login" className = {`${styles.navLink}`}>Login</Nav.Link>

			            	</>
			            }

			          </Nav>
			          </div>
			        </Navbar.Collapse>
			      </Container>
			</Navbar>
		</div>
		)
}