import {useState} from 'react';

import {Button} from 'react-bootstrap';
import Swal from 'sweetalert2';

export default function ArchiveProducts({productId, btnColor, fetchData}) {

	const [id] = useState(productId);

	const ArchiveToggle = (event) => {
		event.preventDefault();

		fetch(`${process.env.REACT_APP_API_BASE_URL}/products/${id}/archive`, {
			method: "PUT",
			headers: {
				"Content-Type" : "application/json",
				Authorization: `Bearer ${localStorage.getItem('token')}`
			}
		})
		.then(result => result.json())
		.then(data => {
			if (data) {
				Swal.fire({
					title: "Product inactive!",
					icon: "success",
					text: "Product Successfully Archived!"
				})

				fetchData();


			}else{
				Swal.fire({
					title: "Product not archived!",
					icon: "error",
					text: "Please try again"
				})
			}
		})
	}

	return(
		<>

		<Button className={`${btnColor} nes-btn`} onClick = {ArchiveToggle}>Archive</Button>
		</>

		)
}