import React, { useState, useEffect } from 'react';
import ProductCard from '../components/ProductCard.js';

export default function UserView({ data }) {
    const [loading, setLoading] = useState(true);

    useEffect(() => {
        // Simulate fetching data
        setTimeout(() => {
            setLoading(false);
        }, 2000); // Adjust the timeout as needed
    }, []);

    return (
        <>
            {loading ? (
                <h1 className="text-center my-5 ">Loading...</h1>
            ) : (
                data.map((product) => (
                    <ProductCard prodProp={product} key={product._id} />
                ))
            )}
        </>
    );
}
