    import ViewUserOrders from '../components/ViewUserOrders.js'
    import ViewAdminOrders from '../components/ViewAdminOrders.js'

    import { useEffect, useContext } from 'react';
    import { Container, Col } from 'react-bootstrap';

    import UserContext from "../UserContext.js";
    import AOS from 'aos';

export default function OrderHistory() {

    const { user } = useContext(UserContext);

    useEffect(() => {
        AOS.init();
    }, []);

return (
  <>
    {user.isAdmin ? (

      <Container fluid className="fs-3 my-5 d-flex flex-row align-items-center bg-dark">
        <Col className="my-5 mx-5" data-aos="zoom-in-up">
          <ViewAdminOrders />
        </Col>
      </Container>

    ) : (

        <Container fluid className="fs-3 my-5 d-flex flex-row align-items-center bg-dark">
          <Col className="my-5 mx-5" data-aos="zoom-in-up">
            <ViewUserOrders />
          </Col>
        </Container>

    )}
  </>
);


}
