import {Button} from 'react-bootstrap';
import UserContext from '../UserContext.js';
import { useEffect, useState, useContext } from 'react';
import AdminView from '../components/AdminView.js';
import UserView from '../components/UserView.js';
import {useNavigate} from "react-router-dom";

export default function Products() {
	const { user } = useContext(UserContext);
	const [productsData, setProductsData] = useState([]);
	const [UserProductsData, setUserProductsData] = useState([]);

	const navigate = useNavigate();

	const fetchData = () => {
		fetch(`${process.env.REACT_APP_API_BASE_URL}/products/all`, {
			method: "GET",
			headers: {
				Authorization: `Bearer ${localStorage.getItem("token")}`,
			},
		})
		.then((result) => result.json())
		.then((data) => {
			setProductsData(data);
		});
	}

	useEffect(()=>{
		
			fetchData();
			fetchUserData();
		
	}, []);


	const fetchUserData = () => {
		fetch(`${process.env.REACT_APP_API_BASE_URL}/products/`, {
			method: "GET",
			headers: {
			},
		})
		.then((result) => result.json())
		.then((data) => {
			setUserProductsData(data);
		});
	}

	return (
		<>
			{user.isAdmin ? (
			<>
				<h1 className="text-center mt-5 headers">Admin Dashboard</h1>
				<div className = "container col-2 d-flex justify-content-around mt-3 mb-5">
					<Button className = "fs-5 btn-dash nes-btn" onClick = {() => navigate("/products/create")}>Create New Product</Button>
				</div>
				<AdminView data={productsData} fetchData = {fetchData} />
			</>
			) : (
			<>
				<h1 className="text-center mt-5 headers">Products</h1>
				<div className = "container d-flex justify-content-center mt-4">
					<Button className = "fs-3 btn-dash nes-btn" onClick = {() => navigate("/products/search")}>Search Products</Button>
				</div>
				<UserView data={UserProductsData} />
			</>
			)}
		</>
	);
	}
